Elasticsearch PHP integration for your Symfony project using Elastica

v5.0.3 2018-02-07 12:32 UTC


This bundle provides integration with Elasticsearch and Elastica with Symfony. Features include:

  • Integrates the Elastica library into a Symfony environment
  • Automatically generate mappings using a serializer
  • Listeners for Doctrine events for automatic indexing

Build Status Total Downloads Latest Stable Version Latest Unstable Version Scrutinizer Code Quality


Documentation for FOSElasticaBundle is in doc/


Installation instructions can be found in the documentation

Versions & Dependencies

Version 5 of the FOSElasticaBundle is compatible with Elasticsearch 5 and 6. It requires Symfony 3 or 4. When using Symfony Flex there is also a recipe to ease the setup. Earlier versions of the FOSElasticaBundle are not maintained anymore and only work with older versions of the dependencies. The following table shows the compatibilities of different versions of the bundle.

FOSElasticaBundle Elastica Elasticsearch Symfony PHP
5.x ^5.2|^6 5.*|6.* ^3.2|^4 >=5.6
4.x (unmaintained) 3.2.* 2.* ^2.8|^3.2 >=5.5
3.2.x (unmaintained) ^2.1 1.* ^2.3|^3 >=5.3


This bundle is released under the MIT license. See the included LICENSE file for more information.